Next: DSHIFTR, Previous: DREAL, Up: Intrinsic Procedures

### 8.69 `DSHIFTL` — Combined left shift

Description:
  `DSHIFTL(I, J, SHIFT)` combines bits of I and J. The rightmost SHIFT bits of the result are the leftmost SHIFT bits of J, and the remaining bits are the rightmost bits of I.
Standard:
  Fortran 2008 and later
Class:
  Elemental function
Syntax:
  `RESULT = DSHIFTL(I, J, SHIFT)`
Arguments:

  I | Shall be of type `INTEGER` or a BOZ constant.
  J | Shall be of type `INTEGER` or a BOZ constant. If both I and J have integer type, then they shall have the same kind type parameter. I and J shall not both be BOZ constants.
  SHIFT | Shall be of type `INTEGER`. It shall be nonnegative. If I is not a BOZ constant, then SHIFT shall be less than or equal to `BIT_SIZE(I)`; otherwise, SHIFT shall be less than or equal to `BIT_SIZE(J)`.

Return value:
  If either I or J is a BOZ constant, it is first converted as if by the intrinsic function `INT` to an integer type with the kind type parameter of the other.
See also:
  DSHIFTR